﻿using System;
using Zennolab.CommandCenter;

namespace example2
{
	internal class Step2
	{
		public static int Execute(Instance instance)
		{
			// go to google.com
			Tab tb = instance.MainTab;
			if ((tb.IsVoid) || (tb.IsNull)) return -1;
			if (tb.IsBusy) tb.WaitDownloading();
			tb.Navigate("http://www.google.ru/");
			if (tb.IsBusy) tb.WaitDownloading();

			HtmlElement he;
			// search field
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByName("q");
			if (he.IsVoid) return -1;
			
			// set value for Html element from static auto property of Step1
			he.SetValue(Step1.login, true);
			
			return 0;
		}
	}
}
